import { _ as d, __tla as __tla_0 } from "./CustomCard.vue_vue_type_script_setup_true_lang-374ERk20.js";
import { _ as h } from "./CustomTable.vue_vue_type_script_setup_true_lang-CVzOsXR0.js";
import { c as _ } from "./columns-1dSLzo5A.js";
import { z as w } from "./workbench-DEgqNpqd.js";
import { d as R, e as b, r as n, ay as g, ac as p, c as P, o as y, w as C, j as I, l as t, __tla as __tla_1 } from "./index-9PRMimni.js";
import "./BasicForm-dL_oCSPM.js";
import "./Render.vue_vue_type_script_lang-DKUYY0Zw.js";
import "./SingleImageUpload-CNx4b9eC.js";
import "./ImageUpload.vue_vue_type_style_index_0_scoped_cb086928_lang-D-28kXvw.js";
import "./componentSetting-DVhNDBTO.js";
import "./ImageUpload-DUsnro3W.js";
import "./vuedraggable.umd-Co2xEC3p.js";
import "./BasicUpload.vue_vue_type_style_index_0_scoped_a4d0e930_lang-DxRbtP01.js";
import "./tabsView-BXskTdVh.js";
import "./BasicForm.vue_vue_type_style_index_0_scoped_b9e995ec_lang-CEvcLwxD.js";
import "./propTypes-CebMRUpe.js";
import "./BasicSelect-C_uwzMkE.js";
import "./BasicSelect.vue_vue_type_style_index_0_scoped_772d51cc_lang-Brp6PjEU.js";
import "./dictionary-BRse4lkf.js";
import "./index-DkvzUEqh.js";
import "./index-kKnqLkWM.js";
import "./AutoComplete-Dv1Bqed4.js";
import "./TreeSelect-BZh2DeCh.js";
import "./useForm-CKmgcynv.js";
import "./usePageCache-DluHn7Yy.js";
import "./Flex-CTSf12gq.js";
import "./index-DatBjkM3.js";
import "./dateUtil-BtafrT1f.js";
import "./format-DgF6KtHk.js";
import "./helper-D9DF1oLX.js";
import "./find-D_h_aJYR.js";
import "./findIndex-BgUIH3i1.js";
import "./toInteger-DQeH-nF-.js";
import "./includes-DdMWPj0t.js";
let se;
let __tla = Promise.all([
    (()=>{
        try {
            return __tla_0;
        } catch  {}
    })(),
    (()=>{
        try {
            return __tla_1;
        } catch  {}
    })()
]).then(async ()=>{
    se = R({
        __name: "VesselManagementReportList",
        props: {
            componentItem: {},
            isEditable: {
                type: Boolean
            },
            searchParams: {},
            refreshComponent: {
                type: Boolean
            }
        },
        setup (i) {
            const r = i, a = b(), s = n(), m = n(), { vesselManagementReportListColumns: l } = _();
            g(()=>r.refreshComponent, (e)=>{
                p(()=>{
                    e && u(!0);
                });
            }, {
                immediate: !0
            });
            function c(e) {
                return {
                    style: "cursor: pointer",
                    onClick: ()=>{
                        const o = a.resolve({
                            name: "component_pdfPrint",
                            query: {
                                pageName: "VesselManagementReport",
                                id: e.id
                            }
                        });
                        window.open(o.href, "_blank");
                    }
                };
            }
            function f() {
                const e = r.searchParams?.shipIds?.toString()?.split(",");
                let o = "";
                e?.length === 1 && (o = e[0]), a.push({
                    name: "operation_vesselManagementReport",
                    query: {
                        shipId: o
                    }
                });
            }
            function u(e) {
                p(()=>{
                    s.value?.handleGetData(e);
                });
            }
            return (e, o)=>(y(), P(d, {
                    componentItem: e.componentItem,
                    cardParams: t(m),
                    "show-transition": !1,
                    "show-filter": !1,
                    onShowAll: f
                }, {
                    default: C(()=>[
                            I(h, {
                                ref_key: "basicTableRef",
                                ref: s,
                                columns: t(l),
                                request: t(w),
                                params: {
                                    ...e.searchParams || {},
                                    ...t(m) || {}
                                },
                                "row-props": c
                            }, null, 8, [
                                "columns",
                                "request",
                                "params"
                            ])
                        ]),
                    _: 1
                }, 8, [
                    "componentItem",
                    "cardParams"
                ]));
        }
    });
});
export { se as default, __tla };
